# Uses of Interface
org.eclipse.jdt.debug.eval.IClassFileEvaluationEngine

Packages that use IClassFileEvaluationEngine
Package
Description
org.eclipse.jdt.debug.eval
Provides a set classes and interfaces that support evaluations in the Java debugger.

## Uses of IClassFileEvaluationEngine in org.eclipse.jdt.debug.eval

Methods in org.eclipse.jdt.debug.eval that return IClassFileEvaluationEngine
Modifier and Type
Method
Description
`static IClassFileEvaluationEngine`
EvaluationManager.`newClassFileEvaluationEngine(IJavaProject project, IJavaDebugTarget target, File directory)`
Creates and returns a new evaluation engine that performs evaluations for local Java applications by deploying class files.